<!doctype html>
<html lang="en-us">
  <head>
    
    <meta charset="utf-8">
    <title>
      Concrete examples of HTMX and Django CBV
      
    </title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    
    
    
    <link rel="stylesheet" href="/static/prism.css" type="text/css" />
    <link rel="stylesheet" href="/static/style.css" type="text/css" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Lora&family=Space+Mono&display=swap" />

    <script src="/static/prism.js"></script>
    
  </head>
  <body>
    
    
      <header>
        <h1>
          <a href="/">
            Concrete examples of HTMX and Django CBV
          </a>
        </h1>
        <a href="#main" class="visually-hidden">jump to main content</a>
        <nav>
          <ul class="menu">
            <li><a href="/about">about</a></li>
            <li><a href="/">blog</a></li>
          </ul>
        </nav>
      </header>
    

    
    <main id="main">
      
  <article class="page">
    <h1 class="page__title">
      About
    </h1>
    <section>
      <p>
Hello and welcome on my blog !
On my way to learn Django and HTMX,  I had to search a lot for HTMX examples using Django. However, most of those examples where only function based and I&rsquo;m essentially using Class Based Views. I decided to start a blog to show HTMX examples using only CBVs.
</p>

    </section>
  </article>

    </main>

    
    
      <footer>&copy; Copyright 2023 Simon Chevolleau</footer>
    

  </body>
</html>
